<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreteDocterTimes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // 医生时间段服务设置
        Schema::create('docter_times', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('docter_id')->comment("医生id");
            $table->decimal('base_price',8,2)->nullable()->comment("基础价格");
            $table->decimal('step_price',8,2)->nullable()->comment("步进价格");
            $table->string('service_time',2000)->nullable()->comment("服务时间(00点到24点的索引)");
            $table->integer('person')->nullable()->comment("服务人次");
            $table->integer('type')->nullable()->comment("类型（1=电话咨询，2=图文咨询，3=门诊预约,4=疫苗接种预约,5=儿保预约,6=服务包,7=充值）");
            $table->integer('relation_id')->nullable()->comment("关联id（为门诊预约时，关联机构id）");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('docter_times');
    }
}
